<?php
require_once("include/GlobalSmarty.php");
require_once("class/DatabaseFactory.php");
include("include/Common.php");

$DB = DatabaseFactory::GetDatabase();
include("include/OtherLinks.php");

// Form handler
if( isset($_POST['action']) )
{
    switch( $_POST['action'] )
    {
        case "AddLink":
            $LinkName = $DB->MakeSafe($_POST['LinkName']);
            $URL = $DB->MakeSafe($_POST['URL']);
            $TargetWindow = $DB->MakeSafe($_POST['TargetWindow']);
            $Success = $DB->ExecuteNonQuery("INSERT INTO [OtherLinks] ([Name],[URL],[Target]) VALUES('$LinkName','$URL','$TargetWindow');");
            if( $Success == true )
                $Message = "Link added successfully.";
            else
                $Error = "Unable to add link. Reason: " . $DB->LastError();
            break;
        case "EditLink":
            $LinkNameOld = $DB->MakeSafe($_POST['LinkNameOld']);
            $LinkName = $DB->MakeSafe($_POST['LinkName']);
            $URL = $DB->MakeSafe($_POST['URL']);
            $TargetWindow = $DB->MakeSafe($_POST['TargetWindow']);
            $Success = $DB->ExecuteNonQuery("UPDATE [OtherLinks] SET [Name]='$LinkName', [URL]='$URL', [Target]='$TargetWindow' WHERE [Name]='$LinkNameOld'");
            if( $Success == true )
                $Message = "Link modified successfully.";
            else
                $Error = "Unable to modify link. Reason: " . $DB->LastError();
            break;
        case "DeleteLink":
            $LinkName = $DB->MakeSafe($_POST['LinkName']);
            echo $LinkName;
            $Success = $DB->ExecuteNonQuery("DELETE FROM [OtherLinks] WHERE [Name]='$LinkName'");
            if( $Success == true )
                $Message = "Link removed successfully.";
            else
                $Error = "Unable to remove link. Reason: " . $DB->LastError();
            break;
    }
}
$LinksList = $DB->ExecuteQuery("SELECT * FROM [OtherLinks]");
$Smarty->assign("LinksList",$LinksList);

$Smarty->assign("Title","Other Links");
$Smarty->assign("Breadcrumb",array(
        array("Name"=>"Home","URL"=>"index.php"),
        array("Name"=>"Other Links","URL"=>"OtherLinks.php"),
    )
);

$Smarty->assign("ExtraJQuery",'
$("#other_links tbody tr").alternate();

$("#edit_link_dialog").dialog({
    autoOpen: false,
    height: 250,
    width: 450,
    modal: true,
    resizable: false,
    buttons: {
        "Save Changes" : function() {
            $("#edit_link_form").submit();
         },
         "Cancel" : function() {
            $(this).dialog("close");
         }
    }
});
$("#add_link_dialog").dialog({
    autoOpen: false,
    height: 250,
    width: 450,
    modal: true,
    resizable: false,
    buttons: {
        "Save" : function() {
            $("#add_link_form").submit();
        },
        "Cancel" : function() {
            $(this).dialog("close");
        }
    }
});
$("#delete_confirm_dialog").dialog({
    autoOpen: false,
    resizable: false,
    height: 175,
    modal: true,
    buttons: {
        "Yes, I\'m sure" : function() {
            $("#delete_form").submit();
        },
        "No, I changed my mind" : function() {
            $(this).dialog("close");
        }
    }
});
$("#add_link").click(function(){
    $("#add_link_dialog").dialog("open");
});
');
$Smarty->assign("ExtraJavaScript","
function editLink( linkName, url, targetWindow )
{
    $('#edit_LinkNameOld').val(linkName);
    $('#edit_LinkName').val(linkName);
    $('#edit_URL').val(url);
    $('#edit_TargetWindow').val(targetWindow);
    $('#edit_link_dialog').dialog('open');
}
function confirmDelete( linkName )
{
    $('#delete_LinkName').val(linkName);
    $('#delete_confirm_dialog').dialog('open');
}
");
$Smarty->assign("JSIncludes",array("js/jquery.alternate.min.js"));
$Smarty->assign("Error",isset($Error) ? $Error : "");
$Smarty->assign("Message",isset($Message) ? $Message : "" );

$Smarty->display("OtherLinks.tpl");
?>
