<?php
require("../class/DatabaseFactory.php");
$DB = DatabaseFactory::GetDatabase();

$CustomFieldID = isset($_POST['FieldID']) ? $DB->MakeSafe($_POST['FieldID']) : null;

if( $CustomFieldID == null )
{
    echo json_encode(array("success"=>false,"error"=>"FieldID is a required field."));
    exit;
}

try
{
    $FieldDetails = $DB->ExecuteQuery("SELECT * FROM [CustomFields] WHERE [CustomFieldID]=$CustomFieldID");
    echo json_encode(array("success"=>true,"details"=>$FieldDetails));
}
catch( Exception $e )
{
    echo json_encode(array("success"=>false,"error"=>$e->GetMessage()));
}
?>