<?php
require("../class/DatabaseFactory.php");
$DB = DatabaseFactory::GetDatabase();

$CustomFieldID = isset($_POST['CustomFieldID']) ? $DB->MakeSafe($_POST['CustomFieldID']) : null;

if( $CustomFieldID == null )
{
    echo json_encode(array("success"=>false,"error"=>"CustomFieldID is a required field."));
    exit;
}

try
{
    $FieldValues = $DB->ExecuteQuery("SELECT [Value] FROM [CustomFieldValues] WHERE [CustomFieldID]=$CustomFieldID");
    $FieldValuesUnique = array();
    foreach( $FieldValues as $FieldValue )
    {
        if( array_search($FieldValue["Value"], $FieldValuesUnique) === FALSE )
            array_push($FieldValuesUnique,$FieldValue["Value"]);
    }
    sort($FieldValuesUnique);
    echo json_encode(array("success"=>true,"fieldValues"=>$FieldValuesUnique));
}
catch( Exception $e )
{
    echo json_encode(array("success"=>false,"error"=>$e->GetMessage()));
}
?>
