<?php
if( empty($_POST) )
{
    echo json_encode( array("success"=>false,"error"=>"Cannot have empty request"));
    exit;
}
if( !isset($_POST['Server']) ||
    !isset($_POST['Port'])   )
{
    echo json_encode(array("success"=>false,"error"=>"Missing one or more required parameters"));
    exit;
}

$Message = "";

// Try the connect
$ds = @ldap_connect($_POST['Server'],$_POST['Port']);
if( !$ds )
{
    echo json_encode(array("success"=>false,"error"=>"Could not connect to the specified LDAP server"));
    exit;
}

// Try the bind
if( isset($_POST['AnonymousBind']) && $_POST['AnonymousBind'] == "on" )
{
    $bind = @ldap_bind($ds);
    $Message .= "Bound anonymously.";
}
else
{
    $bind = @ldap_bind($ds, $_POST['UserDN'], $_POST['Password']);
    $Message .= "Bound with $_POST[UserDN] and $_POST[Password]";
}

if( !$bind )
{
    echo json_encode(array("success"=>false,"error"=>"Unable to bind. $_POST[Password]"));
    exit;
}
@ldap_unbind($ds);

echo json_encode(array("success"=>true,"message"=>$Message));
?>
