{assign var='Title' value='Custom Report'}
{include file='header.tpl'}
<h2>Custom Report</h2>
<hr/>

<div id="help" class="ui-corner-all ui-widget ui-widget-content">
<h3 class="ui-widget-header ui-corner-all"><span class="ui-icon ui-icon-help">&nbsp;</span>Help</h3>
<p>To run a custom report, select the field collection (custom field, or a collector field). Then select the chart type. The only supported chart types
are 3D Pie, 2D Pie, and Column. For collector reports, select the collector name and then chose the collector field to report on. Then click &quot;Run Report&quot;.
For custom field reports, select the custom field name then click &quot;Run Report&quot;.</p>
</div>

<div>
Field Collection: <select id="FieldCollection" onChange="populateFieldListForType(this.value)">
    <option value="collector">Collector</option>
    <option value="customfield">Custom Field</option>
</select>
<br/>
Chart Type: <select id="ChartType">
    <option value="pie3D">3D Pie</option>
    <option value="pie">2D Pie</option>
    <option value="barVert">Column</option>
</select><br/>
Query:
<select id="Collector" onChange="populateCollectorFields(this.value)">
{section name='collector' loop=$Collectors}
    <option value="{$Collectors[collector].CollectorID}">{$Collectors[collector].Name}</option>
{/section}
</select>
<select id="CollectorField">
    <option>Select a collection...</option>
</select>

<select id="CustomField">
{section name='customfield' loop=$CustomFields}
    <option value="{$CustomFields[customfield].CustomFieldID}">{$CustomFields[customfield].FieldName}</option>
{/section}
</select>
<br/>
Sort By: <select id="SortBy">
    <option value="DeviceName">Device Name</option>
    <option value="FieldValue">Field Value</option>
</select>

<button type="button" onClick="runReport()" class="ui-button ui-corner-all ui-state-default">Run Report</button>
</div>

<div style="float:right; width: 50%; text-align: right;">
<h2>Report Stats</h2>
<div id="ResultStats"><em>No results. Run a report first.</em></div>
</div>

<div style="float:left; width:50%">
<h2>Report Chart</h2>
<div id="ReportChart" style="width: 750px; height: 300px;"></div>
</div>

<div style="clear: both;"></div>

<h2>Report Output</h2>
<div id="ReportOutput"><em>No results. Run a report first.</em></div>

{include file='footer.tpl'}