{include file="header.tpl"}

{if $smarty.session.Roles & $Permissions.SERVER_REMOVE || $SiteSettings.DisplayLogin == false}
<div id="delete_confirm_dialog" title="Are you sure?">
    <form id="delete_form" action="{$smarty.server.PHP_SELF}" method="post">
    <input type="hidden" name="action" value="DeleteDevice" />
    <input type="hidden" name="DeviceID" id="delete_DeviceID" />
    </form>
    <p><span class="ui-icon ui-icon-alert" style="float:left; margin: 0px 7px 7px 0px;">&nbsp;</span>This operation is not reversable. Are you sure you want to delete this device?</p>
</div>
{/if}

<div id="sorting_overlay" style="text-align: center" title="Please Wait...">
<div class="ajax_loader">&nbsp;</div>
<p>Sorting Results...</p>
</div>

<div id="devices-contain" class="ui-widget">
<h2>{$Title}</h2>
<hr/>
<div id="help" class="ui-corner-all ui-widget ui-widget-content">
<h3 class="ui-widget-header ui-corner-all"><span class="ui-icon ui-icon-help">&nbsp;</span>Help</h3>
<p>This is a list of all devices in the KnowIT database. This list is populated
                            during the collection phase of the KnowIT process. Devices may <b>not</b> be added to this list.
                            They can, however, be removed if for example a device has gone stale and hasn't been updated
                            in a long period of time.</p>
</div>

{if $smarty.session.Roles & ($Permissions.SERVER_REMOVE | $Permissions.SERVER_EDIT) }
    {assign var='colspan' value='5'}
{else}
    {assign var='colspan' value='4'}
{/if}

<table id="devices" class="ui-widget ui-widget-content" width="100%">
    <thead>
        <tr class="ui-widget-header">
            <th class="sortable">Device Name</th>
            <th class="sortable">Description</th>
            <th class="sortable">Site</th>
            <th class="sortable">Update Timestamp</th>
            {if $smarty.session.Roles & $Permissions.SERVER_REMOVE || $SiteSettings.DisplayLogin == false}<th width="25">Remove</th>{/if}
        </tr>
    </thead>
    <tbody>
        {section name=devices loop=$DeviceList}
        <tr>
            <td><a href="ShowDevice.php?DeviceID={$DeviceList[devices].DeviceID}">{$DeviceList[devices].Name}</a></td>
            <td>{$DeviceList[devices].Description}</td>
            <td>{$DeviceList[devices].SiteName}</td>
            <td>{$DeviceList[devices].UpdateTimestamp}</td>
            {if $smarty.session.Roles & $Permissions.SERVER_REMOVE || $SiteSettings.DisplayLogin == false}
            <td>
                <a class="ui-state-default" style="float: left" href="javascript:confirmDelete({$DeviceList[devices].DeviceID})" title="Remove this device"><span class="ui-icon ui-icon-circle-minus">&nbsp;</span></a>
            </td>
            {/if}
        </tr>
        {sectionelse}
        <tr><td colspan="{$colspan}">No records found</td></tr>
        {/section}
    </tbody>
</table>
<!--
<div id="pager">
<form>
    <img class="first ui-icon ui-icon-arrowthickstop-1-w" align="left" />
    <img class="prev ui-icon ui-icon-arrowthick-1-w" align="left" />
    <input type="text" class="pagedisplay" />
    <img class="next ui-icon ui-icon-arrowthick-1-e" align="right" />
    <img class="last ui-icon ui-icon-arrowthickstop-1-e" align="right" />
    <br/>
    Results Per Page:
    <select class="pagesize">
        <option selected="selected" value="10">10</option>
        <option value="20">20</option>
        <option value="30">30</option>
        <option value="40">40</option>
    </select><br/>
</form>
</div>
-->
<br/>
<a style="padding: 4px 4px 4px 4px;" href="ExportServerList.php?format=xml" class="ui-state-default" title="Download as XML">Download as XML</a>
<a style="padding: 4px 4px 4px 4px;" href="ExportServerList.php?format=csv" class="ui-state-default" title="Download as CSV">Download as CSV</a>
</div>
{include file="footer.tpl"}