<?php
require_once("include/GlobalSmarty.php");
require_once("class/DatabaseFactory.php");

$DB = DatabaseFactory::GetDatabase();
$Smarty->assign("Title","Device List");

include("include/OtherLinks.php");

$QueryResult = $DB->ExecuteQuery("SELECT COUNT([DeviceID]) AS [DeviceCount], [SiteName] FROM [V_DEVICE_LIST] GROUP BY [SiteName]");
$Smarty->assign("DeviceList",$QueryResult);

$SitesList = array();
$DeviceCounts = array();
foreach( $QueryResult as $Result )
{
    array_push($SitesList,'"'.$Result['SiteName'].'"');
    array_push($DeviceCounts,$Result['DeviceCount']);
}
$Smarty->assign("ExtraJQuery",'
$("#device_list tbody tr").alternate();
$("#chartdiv").gchart({
    series: [$.gchart.series(['.implode(",",$DeviceCounts).'])],
    type: "pie3D",
    dataLabels: ['.implode(",",$SitesList).'],
    margins: [90, 90, 0, 0],
    backgroundColor: "00000000"
});
');
$Smarty->assign("JSIncludes",array("js/jquery.gchart.pack.js","js/jquery.alternate.min.js"));
$Smarty->assign("Title","Devices By Site");
$Smarty->assign("Breadcrumb",array(
        array("Name"=>"Home","URL"=>"index.php"),
        array("Name"=>"Devices By Site","URL"=>"DevicesBySite.php"),
    )
);

$Smarty->display("DevicesBySite.tpl");
?>
