<?php
require("class/DatabaseFactory.php");
$DeviceList = DatabaseFactory::GetDatabase()->ExecuteQuery("SELECT * FROM [V_DEVICE_LIST] ORDER BY [Name]");

switch( $_GET['format'] )
{
    default:
    case "xml":
        header("Content-Type: text/xml");
        header("Content-Disposition: attachment; filename=devicelist.xml");
        echo "<DeviceList>\n";
        foreach( $DeviceList as $Device )
        {
            echo "\t<Device>\n";
            foreach( array_keys($Device) as $Key )
            {
                echo "\t\t<$Key>$Device[$Key]</$Key>\n";
            }
            echo "\t</Device>\n";
        }
        echo "</DeviceList>";
        break;
    case "csv":
        header("Content-Type: text/csv");
        header("Content-Disposition: attachment; filename=devicelist.csv");
        // Column headers
        $ColumnHeaders = array_keys($DeviceList[0]);
        for( $i = 0; $i < count($ColumnHeaders); $i++ )
            $ColumnHeaders[$i] = "\"".$ColumnHeaders[$i]."\"";
        echo implode(",",$ColumnHeaders) . "\n";

        // Device list
        foreach( $DeviceList as $Device )
        {
            foreach( array_keys($Device) as $Key )
                $Device[$Key] = "\"".$Device[$Key]."\"";
            echo implode(",",$Device) . "\n";
        }
        break;
}
?>
