<?php
require_once("DatabaseMSSQL.php");
require_once("DatabaseODBC.php");

class DatabaseFactory {
    public static function GetDatabase()
    {
        global $dbConfig;
        if( $dbConfig['DB_TYPE'] == 'MSSQL' )
            return DatabaseMSSQL::GetDatabase();
        else if( $dbConfig['DB_TYPE'] == 'ODBC' )
            return DatabaseODBC::GetDatabase();
        else
            throw new Exception("Database type not supported.");
    }
}
?>
