$.fn.check = function(mode) {
   // if mode is undefined, use 'on' as default
   var mode = mode || 'on';

   return this.each(function() {
     switch(mode) {
       case 'on':
         this.checked = true;
         break;
       case 'off':
         this.checked = false;
         break;
       case 'toggle':
         this.checked = !this.checked;
         break;
     }
   });
 };

 //Function to get hex format a rgb colour
$.rgb2hex = function(rgb) {
        //generates the hex-digits for a colour.
        function hex(x) {
                hexDigits = new Array("0", "1", "2", "3", "4", "5", "6", "7", "8",
"9", "A", "B", "C", "D", "E", "F");
                return isNaN(x) ? "00" : hexDigits[(x - x % 16) / 16] + hexDigits[x
% 16];
        }
        return ""+hex(rgb[0]) + hex(rgb[1]) + hex(rgb[2]);
} 