<?php
require("../class/DatabaseFactory.php");
$DB = DatabaseFactory::GetDatabase();

$CollectorID = isset($_POST['CollectorID']) ? $DB->MakeSafe($_POST['CollectorID']) : null;

if( $CollectorID == null )
{
    echo json_encode(array("success"=>false,"error"=>"CollectorID is a required field."));
    exit;
}

try
{
    $CollectorFields = $DB->ExecuteQuery("SELECT * FROM [CollectorFields] WHERE [CollectorID]=$CollectorID");
    echo json_encode(array("success"=>true,"collectorFields"=>$CollectorFields));
}
catch( Exception $e )
{
    echo json_encode(array("success"=>false,"error"=>$e->GetMessage()));
}
?>
