{if #UseTidy# == true}
{php}
ob_start();
{/php}
{/if}

{php}
session_start();
if( $_GET['logout'] == 'true' )
{
    session_destroy();
    unset($_SESSION['Username']);
    unset($_SESSION['Roles']);
    unset($_COOKIES['Roles']);
}

{/php}

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
   "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <link href="css/{$Theme|default:$SiteSettings.DefaultTheme}/jquery-ui-1.7.1.custom.css" rel="stylesheet" type="text/css" />
    <link href="css/style.css" rel="stylesheet" type="text/css" />
    <script src="js/jquery-1.3.2.min.js" type="text/javascript"></script>
    <script src="js/jquery-ui-1.7.1.custom.min.js" type="text/javascript"></script>
    <script src="js/jquery.cookie.js" type="text/javascript"></script>
    <script src="js/jquery.knowit.js" type="text/javascript"></script>
    {section name=js loop=$JSIncludes}
        <script src="{$JSIncludes[js]}" type="text/javascript"></script>
    {/section}
    {literal}
    <script type="text/javascript">
    //<![CDATA[
        $(function() {

            var navState = $.cookie("knowit_navstate");
            if( navState == "" ) navState = 0;
            $("#navigation").accordion({
                active: parseInt(navState),
                collapsible: true,
                change: function(event, ui) {
                    var index = $(this).find("h3").index( ui.newHeader[0] );
                    $.cookie("knowit_navstate", index, { path: "/" } );
                }

            });


            if( $.cookie("showhelp") == "false" )
            {
                $("#help_button_text").text("Show Help");
                $("#help").hide();
            }
            else
            {
                $("#help_button").text("Hide Help");
                $("#help").show();
            }

            $("#help_button").click(function(){
                $("#help").toggle('slide');
                $.cookie("showhelp", $.cookie("showhelp")=="false" ? "true" : "false", {path: "/"} );
                if( $.cookie("showhelp") == "true" )
                    $("#help_button").text("Hide Help");
                else
                    $("#help_button").text("Show Help");
            });

            $("button").hover(
                function() { $(this).addClass("ui-state-hover"); },
                function() { $(this).removeClass("ui-state-hover"); }
            ).mousedown(function(){ $(this).addClass("ui-state-active"); }
            ).mouseup( function() { $(this).removeClass("ui-state-active"); } );

            setTimeout('$("#error").hide("highlight",{},1000)',5000);
            setTimeout('$("#notification").hide("highlight",{},1000)',5000);

            {/literal}
            {if #NoLogin# == false || 
            ( $SiteSettings.DisplayLogin == true && $smarty.session.Username == '') ||
            ( $SiteSettings.RequireLogin == true && $smarty.session.Username == '') }
            {literal}
            $("#login_dialog").dialog({
                {/literal}
                {if $SiteSettings.RequireLogin == true && $smarty.session.Username == '' }
                {literal}open: function() { 
                    $('.ui-dialog-titlebar-close').css('display','none');
                },
                {/literal}
                autoOpen: true,
                closeOnEscape: false,
                draggable: false,
                resizable: false,
                {else}
                autoOpen: false,
                resizable: true,
                {/if}
                {literal}
                autoSize: true,
                width: 400,
                modal: true,
                show: 'slide',
                buttons: {
                    "Login" : function() {
                        $.post('rest/AuthenticateUser.php',{ Username: $('#Login_Username').val(), Password: $('#Login_Password').val() }, function( data ) {
                            if( data.success == true )
                            {
                                $.cookie("Roles",data.Roles);
                                $('#login').html($('#Login_Username').val() + ' [<a href="?logout=true">Logout<\/a>]');
                                window.location='index.php';
                                $('#login_dialog').dialog("close");
                            }
                            else
                            {
                                $('#Login_Result').text(data.error);
                            }
                        },'json');
                    }
                    {/literal}
                    {if $SiteSettings.RequireLogin != true}
                    {literal}
                    ,
                    "Cancel" : function() {
                        $(this).dialog("close");
                    }{/literal}{/if}{literal}
                }
            });
            $('#login_dialog input').keypress( function(e) {
                if( e.which == 13 )
                {
                    $.post('rest/AuthenticateUser.php',{ Username: $('#Login_Username').val(), Password: $('#Login_Password').val() }, function( data ) {
                        if( data.success == true )
                        {
                            $.cookie("Roles",data.Roles);
                            $('#login').html($('#Login_Username').val() + ' [<a href="?logout=true">Logout<\/a>]');
                            window.location='index.php';
                            $('#login_dialog').dialog("close");
                        }
                        else
                        {
                            $('#Login_Result').text(data.error);
                        }
                    },'json');
                }
            });
            {/literal}
            {/if}
            {$ExtraJQuery}
    {literal}

        // Ajax "working" and error bars
        $('.ajax-working').hide().ajaxStart( function() {
            var left = ($('body').width() / 2) - ($(this).width() / 2);
            $(this).css('left', left );
            $(this).show();
            $('.ajax-error').hide()
        }).ajaxStop( function() { $(this).hide(); } );

        $('.ajax-error').hide().ajaxError( function( event, request, settings, thrownError ) {
            $(this).css('left', (window.innerWidth / 2) - ($(this).width() / 2) );
            $(this).show();
            $(this).html('Error requesting page ' + settings.url);
            $('.ajax-working').hide();
            setTimeout('$(".ajax-error").hide("highlight",{},1000)',5000);
        }).ajaxSuccess( function( event, request, options ) { $(this).hide(); } );

        });
    {/literal}{$ExtraJavaScript}{literal}
    function changeTheme( themeName )
    {
        $.cookie("Theme",themeName, { path: "/" });
        window.history.go(0);
    }
    //]]>
    </script>
    {/literal}
    <title>KnowIT :: {$Title}</title>
</head>
<body>
<span class="ajax-working ui-widget ui-state-highlight">Working...</span>
<span class="ajax-error ui-widget ui-state-error">&nbsp;</span>

{if ($SiteSettings.DisplayLogin == true || $SiteSettings.RequireLogin == true) && $smarty.session.Username == '' }
<div id="login_dialog" title="Login">
<table width="100%">
    <tr><td><label>Username: </label></td><td><input id="Login_Username" type="text" size="50" class="ui-widget-content ui-corner-all" name="Username" /></td></tr>
    <tr><td><label>Password: </label></td><td><input id="Login_Password" type="password" size="50" class="ui-widget-content ui-corner-all" name="Password" /></td></tr>
    <tr><td colspan="2">{$SiteSettings.LoginVerbiage}</td></tr>
    <tr><td colspan="2"><div id="Login_Result">&nbsp;</div></td></tr>
</table>
</div>
{/if}

<table width="100%" cellspacing="0" cellpadding="0">
    <thead>
        <tr class="ui-widget ui-widget-header">
            <th><div id="image-logo" style="float:left"></div></th>
            <th style="text-align: right">
                Choose Theme: <select id="theme_select" onChange="changeTheme(this.value)">
                    <option value="ui-lightness" {if $Theme=='ui-lightness'}selected{/if}>Lightness</option>
                    <option value="ui-darkness" {if $Theme=='ui-darkness'}selected{/if}>Darkness</option>
                    <option value="smoothness" {if $Theme=='smoothness'}selected{/if}>Smoothness</option>
                    <option value="xtrac" {if $Theme=='xtrac'}selected{/if}>XTrac</option>
                    <option value="south-street" {if $Theme=='south-street'}selected{/if}>South Street</option>
                    </select>
                <br/>
                <button id="help_button" class="ui-state-default ui-corner-all">
                Show/Hide Help
                </button>
            </th>
        </tr>
    </thead>
</table>

<div id="breadcrumb" class="ui-widget-content ui-widget ui-helper-clearfix">
{if ( $SiteSettings.DisplayLogin == true && $smarty.session.Username == '') ||
    ( $SiteSettings.RequireLogin == true && $smarty.session.Username == '') }
    <span id="login"><a href="#" onClick="$('#login_dialog').dialog('open')">Login</a></span>
{elseif $smarty.session.Username != ''}
    <span id="login">{$smarty.session.Username} [<a href="index.php?logout=true">Logout</a>]</span>
{/if}
{section name=breadcrumb loop=$Breadcrumb}
<span style="float: left;"><span class="ui-icon ui-icon-triangle-1-e" style="float: left">&nbsp;</span><a href="{$Breadcrumb[breadcrumb].URL}">{$Breadcrumb[breadcrumb].Name}</a></span>
{/section}
</div>
{include file="navigation.tpl"}
<div id="container-content" class="ui-widget-content ui-widget ui-corner-all">
{include file="messages.tpl"}